SDL_GPUTransferBufferLocation Struct Reference

`#include <SDL_gpu.h>`

## Data Fields

SDL_GPUTransferBuffer * | transfer_buffer
Uint32 | offset

## Detailed Description

A structure specifying a location in a transfer buffer.

Used when transferring buffer data to or from a transfer buffer.

Since
  This struct is available since SDL 3.2.0.

See also
  SDL_UploadToGPUBuffer
  SDL_DownloadFromGPUBuffer

Definition at line 1431 of file SDL_gpu.h.

## Field Documentation

## offset

Uint32 SDL_GPUTransferBufferLocation::offset

The starting byte of the buffer data in the transfer buffer.

Definition at line 1434 of file SDL_gpu.h.

## transfer_buffer

SDL_GPUTransferBuffer* SDL_GPUTransferBufferLocation::transfer_buffer

The transfer buffer used in the transfer operation.

Definition at line 1433 of file SDL_gpu.h.

The documentation for this struct was generated from the following file:

- SDL_gpu.h